View Issue Details

IDProjectCategoryView StatusLast Update
0000208bareos-core[All Projects] file daemonpublic2015-03-25 19:18
ReportermvwieringenAssigned Tomvwieringen 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
PlatformWindows 7OSWindowsOS Version7
Product Version12.4.4 
Fixed in Version 
Summary0000208: Look into possibility to limit access rights on %APPDATA%/Bareos to administrators only.
DescriptionSee if its possible to have the access to %APPDATA%/Bareos on windows limited
to administrator only. e.g. as sensitive config data is written in that directory
it would be nice if only the Admin Users can access this config dir.
Additional InformationLook into what NSIS provides in setting security settings on this particular
directory.
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

maik

maik

2013-07-19 16:03

administrator   ~0000537

Mailinglist thread:
https://groups.google.com/forum/#!topic/bareos-users/hM1Uw7QNPR0
joergs

joergs

2013-07-19 16:25

administrator   ~0000539

cacls.exe is the command line tool included in Windows to edit ACLs. Its functionality is limited, but should work for this requirement.
For more complex requirements, the freeware tool http://helgeklein.com/setacl/ is often used.
pstorz

pstorz

2013-07-30 11:45

administrator   ~0000560

Looks like the AccessControl Plugin for NSIS can do what is needed:

http://nsis.sourceforge.net/AccessControl_plug-in
mvwieringen adm

mvwieringen adm

2013-08-13 03:12

administrator   ~0000572

Fix committed to bareos master branch with changesetid 592.
mvwieringen

mvwieringen

2013-09-04 15:46

developer   ~0000655

Fix committed to bareos bareos-13.2 branch with changesetid 1110.
mvwieringen

mvwieringen

2013-09-04 15:46

developer   ~0000656

Fix committed to bareos bareos-12.4 branch with changesetid 1111.
mvwieringen

mvwieringen

2015-03-25 16:51

developer   ~0001362

Fix committed to bareos2015 bareos-14.2 branch with changesetid 5080.
joergs

joergs

2015-03-25 19:18

administrator   ~0001520

Due to the reimport of the Github repository to bugs.bareos.org, the status of some tickets have been changed. These tickets will be closed again.
Sorry for the noise.

Related Changesets

bareos: master d414b2da

2013-07-31 12:55:19

pstorz


Committer: mvwieringen adm

Ported: N/A

Details Diff
windows config files admin-only access

Windows configuration files were accessible by
normal users until now.

Now we use the NSIS AccessControl Plugin
(http://nsis.sourceforge.net/AccessControl_plug-in)
to limit the access to the Administrator only.

This also means that if you want to edit the
config file, this has to happen as administrator.

Fixes 0000208: Look into possibility to limit access rights on %APPDATA%/Bareos to administrators only.

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
Affected Issues
0000208
mod - platforms/win32/winbareos.nsi Diff File
mod - platforms/win32/winbareos-nsi.spec Diff File

bareos: bareos-13.2 7e2452a2

2013-07-31 12:55:19

pstorz


Committer: mvwieringen

Ported: N/A

Details Diff
windows config files admin-only access

Windows configuration files were accessible by
normal users until now.

Now we use the NSIS AccessControl Plugin
(http://nsis.sourceforge.net/AccessControl_plug-in)
to limit the access to the Administrator only.

This also means that if you want to edit the
config file, this has to happen as administrator.

Fixes 0000208: Look into possibility to limit access rights on %APPDATA%/Bareos to administrators only.

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
Affected Issues
0000208
mod - platforms/win32/winbareos-nsi.spec Diff File
mod - platforms/win32/winbareos.nsi Diff File

bareos: bareos-12.4 3062026d

2013-07-31 12:55:19

pstorz


Committer: mvwieringen

Ported: N/A

Details Diff
windows config files admin-only access

Windows configuration files were accessible by
normal users until now.

Now we use the NSIS AccessControl Plugin
(http://nsis.sourceforge.net/AccessControl_plug-in)
to limit the access to the Administrator only.

This also means that if you want to edit the
config file, this has to happen as administrator.

Fixes 0000208: Look into possibility to limit access rights on %APPDATA%/Bareos to administrators only.

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
Affected Issues
0000208
mod - platforms/win32/winbareos-nsi.spec Diff File
mod - platforms/win32/winbareos.nsi Diff File

bareos2015: bareos-12.4 33ed1ae5

2013-07-31 14:55:19

pstorz


Committer: mvwieringen

Ported: N/A

Details Diff
windows config files admin-only access

Windows configuration files were accessible by
normal users until now.

Now we use the NSIS AccessControl Plugin
(http://nsis.sourceforge.net/AccessControl_plug-in)
to limit the access to the Administrator only.

This also means that if you want to edit the
config file, this has to happen as administrator.

Fixes 0000208: Look into possibility to limit access rights on %APPDATA%/Bareos to administrators only.

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
Affected Issues
0000208
mod - platforms/win32/winbareos-nsi.spec Diff File
mod - platforms/win32/winbareos.nsi Diff File

bareos2015: bareos-13.2 2c4a67de

2013-07-31 14:55:19

pstorz


Committer: mvwieringen

Ported: N/A

Details Diff
windows config files admin-only access

Windows configuration files were accessible by
normal users until now.

Now we use the NSIS AccessControl Plugin
(http://nsis.sourceforge.net/AccessControl_plug-in)
to limit the access to the Administrator only.

This also means that if you want to edit the
config file, this has to happen as administrator.

Fixes 0000208: Look into possibility to limit access rights on %APPDATA%/Bareos to administrators only.

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
Affected Issues
0000208
mod - platforms/win32/winbareos-nsi.spec Diff File
mod - platforms/win32/winbareos.nsi Diff File

bareos2015: bareos-14.2 9b494547

2013-07-31 14:55:19

pstorz


Committer: mvwieringen

Ported: N/A

Details Diff
windows config files admin-only access

Windows configuration files were accessible by
normal users until now.

Now we use the NSIS AccessControl Plugin
(http://nsis.sourceforge.net/AccessControl_plug-in)
to limit the access to the Administrator only.

This also means that if you want to edit the
config file, this has to happen as administrator.

Fixes 0000208: Look into possibility to limit access rights on %APPDATA%/Bareos to administrators only.

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
Affected Issues
0000208
mod - platforms/win32/winbareos-nsi.spec Diff File
mod - platforms/win32/winbareos.nsi Diff File

Issue History

Date Modified Username Field Change
2013-07-17 17:38 mvwieringen New Issue
2013-07-17 17:38 mvwieringen Status new => assigned
2013-07-17 17:38 mvwieringen Assigned To => pstorz
2013-07-19 16:03 maik Note Added: 0000537
2013-07-19 16:25 joergs Note Added: 0000539
2013-07-30 11:45 pstorz Note Added: 0000560
2013-07-31 16:00 mvwieringen Changeset attached => bareos master 7c69944f
2013-07-31 16:00 mvwieringen Assigned To pstorz => mvwieringen
2013-07-31 16:00 mvwieringen Status assigned => resolved
2013-07-31 16:00 mvwieringen Resolution open => fixed
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos master d414b2da
2013-08-13 03:12 mvwieringen adm Note Added: 0000572
2013-08-13 03:12 mvwieringen adm Assigned To mvwieringen => mvwieringen adm
2013-09-04 15:46 mvwieringen Changeset attached => bareos bareos-13.2 7e2452a2
2013-09-04 15:46 mvwieringen Note Added: 0000655
2013-09-04 15:46 mvwieringen Assigned To mvwieringen adm => mvwieringen
2013-09-04 15:46 mvwieringen Changeset attached => bareos bareos-12.4 3062026d
2013-09-04 15:46 mvwieringen Note Added: 0000656
2013-09-05 17:17 mvwieringen Status resolved => closed
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-12.4 33ed1ae5
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-13.2 2c4a67de
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-14.2 9b494547
2015-03-25 16:51 mvwieringen Note Added: 0001362
2015-03-25 16:51 mvwieringen Status closed => resolved
2015-03-25 19:18 joergs Note Added: 0001520
2015-03-25 19:18 joergs Status resolved => closed